<?php
namespace app\cms\event;

use app\common\controller\Addon;

class Category extends Addon
{
    public function _initialize()
    {
        parent::_initialize();
    }
    
    //定义表单字段列表
    protected function fields($data=[])
    {
        return model('cms/Fields','loglic')->category($data);
    }
    
    //定义表单初始数据
    protected function formData()
    {
        if( $id = input('id/d',0) ){
            return cmsCategoryId($id, false);
		}
        return [];
    }
    
    //定义表格数据（JSON）
    protected function ajaxJson()
    {
        $args = array();
        $args['cache']    = false;
        $args['result']   = 'level';
        $args['module']   = 'cms';
        $args['type']     = 'category';
        $args['search']   = $this->query['searchText'];
        //$args['limit']    = $this->query['pageSize'] ;
        //$args['page']     = $this->query['pageNumber'];
        $args['sort']     = DcEmpty($this->query['sortName'], 'term_id');
        $args['order']    = DcEmpty($this->query['sortOrder'], 'desc');
        $args['status']   = $this->query['term_status'];
        $args['controll'] = $this->query['term_controll'];
        $args['action']   = $this->query['term_action'];
        /*扩展字段生成查询参数
        $args['meta_query']    = [];
        foreach( DcArrayFilter($this->query, config('custom_fields.term_meta')) as $key=>$value ){
            if($value){
                array_push($args['meta_query'], ['key'=>['eq',$key],'value'=>['eq',$value]]);
            }
        }*/
        //搜索关键字只能返回数组
        if($args['search'] || $args['controll'] || $args['action']){
            $args['result']  = 'array';
        }
        //自定义字段排序
        if( !in_array($args['sort'],['term_id','term_order','term_parent','term_count']) ){
            $args['meta_key'] = $args['sort'];
            $args['sort']     = 'meta_value_num';
        }
        //查询数据
        $list = DcTermSelect( DcArrayEmpty($args) );
        //数据返回
        return DcEmpty($list,[]);
    }
    
    public function preview()
    {
        if( !$id = input('id/d',0) ){
            $this->error(lang('mustIn'));
        }
        //快速查询数据
        $info = cmsCategoryId($id, false);
        if(!$info){
            $this->error(lang('empty'));
        }
        //去掉后台入口文件
        $url = str_replace($this->request->baseFile(), '', cmsUrlCategory($info));
        //跳转至前台
        $this->redirect($url,302);
    }
    
    public function save()
    {

        config('common.validate_name', 'cms/Category');
        
        config('common.validate_scene', 'save');
        
        config('common.where_slug_unique', ['term_type'=>['eq','category']]);
        
        $term_id = \daicuo\Term::save(input('post.'));
        
		if($term_id < 1){
			$this->error(\daicuo\Term::getError());
		}
        
		$this->success(lang('success'));
    }
    
    public function delete()
    {
        DcTermDeleteIds(input('id/a'));
        
        $this->success(lang('success'));
    }
    
    public function update()
    {
        $data = input('post.');
        if(!$data['term_id']){
            $this->error(lang('mustIn'));
        }
        
        config('common.validate_name', 'cms/Category');
        
        config('common.validate_scene', 'update');
        
        config('common.where_slug_unique', ['term_type'=>['eq','category']]);
        
        if( !\daicuo\Term::update_id($data['term_id'], $data) ){
            $this->error(\daicuo\Info::getError());
        }
        $this->success(lang('success'));
    }
    
    //快速修改状态
    public function status()
    {
        if( !$ids = input('post.id/a') ){
            $this->error(lang('errorIds'));
        }
        //
        $data = [];
        $data['term_status'] = input('request.value/s', 'hidden');
        dbUpdate('common/Term',['term_id'=>['in',$ids]], $data);
        //
        $this->success(lang('success'));
    }
}